Package com.google.android.exoplayer2.drm

## Class DefaultDrmSessionManager.MissingSchemeDataException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.android.exoplayer2.drm.DefaultDrmSessionManager.MissingSchemeDataException

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    DefaultDrmSessionManager

      public static final class DefaultDrmSessionManager.MissingSchemeDataException
      extends Exception

  Signals that the `Format.drmInitData` passed to `DefaultDrmSessionManager.acquireSession(com.google.android.exoplayer2.drm.DrmSessionEventListener.EventDispatcher, com.google.android.exoplayer2.Format)` does not contain scheme data for the required UUID.
  See Also:
    Serialized Form

- - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`